- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaServiceCameraInfoInterface
- Qt 5.15.11 Reference Documentation

# QMediaServiceCameraInfoInterface Struct

The QMediaServiceCameraInfoInterface class interface provides camera-specific information about devices supported by a camera service plug-in. More...

Header: | #include <QMediaServiceCameraInfoInterface>
qmake: | QT += multimedia
Since: | Qt 5.3

This struct is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This struct was introduced in Qt 5.3.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceCameraInfoInterface()
virtual int | cameraOrientation(const QByteArray &device) const = 0
virtual QCamera::Position | cameraPosition(const QByteArray &device) const = 0

## Detailed Description

A QMediaServiceProviderPlugin may implement this interface, in that case it also needs to implement the QMediaServiceSupportedDevicesInterface.

## Member Function Documentation

### `[virtual]` QMediaServiceCameraInfoInterface::~QMediaServiceCameraInfoInterface()

Destroys a media service camera info interface.

### `[pure virtual]` int QMediaServiceCameraInfoInterface::cameraOrientation(const QByteArray &device) const

Returns the physical orientation of a camera device supported by a camera service plug-in.

### `[pure virtual]` QCamera::Position QMediaServiceCameraInfoInterface::cameraPosition(const QByteArray &device) const

Returns the physical position of a camera device supported by a camera service plug-in.